<?php
/**
 * Label Options
 * Register the label options section, settings and controls for Theme Customizer
 * @package Serifi
 * @since 1.0.0
 */
 
 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

// Label Options
if ( ! function_exists( 'serifi_customize_register_label_options' ) ) :
	function serifi_customize_register_label_options( $wp_customize ) {

		// Add Sections for label options.
		$wp_customize->add_section( 'serifi_label_options', array(
			'title'    => esc_html__( 'Label Options', 'serifi' ),
			'priority' => 27,
		) );

		/** Prefix Archive Page */
		$wp_customize->add_setting( 'serifi_hide_prefix_archive', array(
				'default'           => false,
				'transport' => 'postMessage',
				'sanitize_callback' => 'serifi_sanitize_checkbox'
			) 
		);
		
		$wp_customize->add_control( new Serifi_Toggle_Control( $wp_customize, 'serifi_hide_prefix_archive', array(
					'section'     => 'serifi_label_options',
					'priority' => 1,
					'label'	      => esc_html__( 'Hide Prefix in Archive Pages', 'serifi' ),
					'description' => esc_html__( 'Enable to hide the archive prefix labels from archive titles.', 'serifi' ),
				)
			)
		);

	  // Footer Copyright
	  $wp_customize->add_setting( 'serifi_copyright', array(
		  'sanitize_callback' => 'wp_kses_post',
		  'transport' => 'postMessage'
		) );
	 
	  $wp_customize->add_control( 'serifi_copyright', array(
			'type'    => 'text',
			'label'   => esc_html__( 'Copyright Name', 'serifi' ),
			'description' => esc_html__( 'Enter your name, website name, or company name [ no html ].', 'serifi' ),
			'section' => 'serifi_label_options',
		  ) );
	  
	}		
endif;

add_action( 'customize_register', 'serifi_customize_register_label_options', 12 );		