<?php
/**
 * Other options
 * @package Serifi
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

function serifi_customize_register_other( $wp_customize ) {
    
    $wp_customize->add_section( 'serifi_other_settings', array(
            'title'      => esc_html__( 'Other Options', 'serifi' ),
            'priority'   => 38,
            'capability' => 'edit_theme_options',
        ) );
 
 	// Greyscale images
	$wp_customize->add_setting( 'serifi_greyscale_images', array(
		'default'           => 0,
		'sanitize_callback' => 'serifi_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Serifi_Toggle_Control( $wp_customize, 'serifi_greyscale_images', array(
		'label'    => esc_html__( 'Make Images Black &amp; White', 'serifi' ),
		'description' => esc_html__( 'Make all featured images black &amp; white for a unique subtle look.', 'serifi' ),
		'section'  => 'serifi_other_settings',
	) ) );  

	// Hide top search icon
	$wp_customize->add_setting( 'serifi_hide_header_search', array(
		'default'           => 0,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'serifi_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Serifi_Toggle_Control( $wp_customize, 'serifi_hide_header_search', array(
		'label'    => esc_html__( 'Hide the Header Search Icon', 'serifi' ),
		'description' => esc_html__( 'Show or hide the header image search icon.', 'serifi' ),
		'section'  => 'serifi_other_settings',
	) ) );  

	// Hide banner captions
	$wp_customize->add_setting( 'serifi_hide_banner_captions', array(
		'default'           => 0,
		'sanitize_callback' => 'serifi_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Serifi_Toggle_Control( $wp_customize, 'serifi_hide_banner_captions', array(
		'label'    => esc_html__( 'Hide Banner Captions', 'serifi' ),
		'description' => esc_html__( 'Show or hide the banner sidebar image captions when using the image widget.', 'serifi' ),
		'section'  => 'serifi_other_settings',
	) ) );  
	
	// Hide edit link
	$wp_customize->add_setting( 'serifi_hide_edit', array(
		'default'           => 0,
		'transport'         => 'postMessage',
		'sanitize_callback' => 'serifi_sanitize_checkbox',
	) );

	$wp_customize->add_control( new Serifi_Toggle_Control( $wp_customize, 'serifi_hide_edit', array(
		'label'    => esc_html__( 'Hide Edit Link', 'serifi' ),
		'description' => esc_html__( 'Show or hide the edit link from posts and pages. This will not show in the Customizer.', 'serifi' ),
		'section'  => 'serifi_other_settings',
	) ) );  

	
}
add_action( 'customize_register', 'serifi_customize_register_other' );
