<?php
/**
 * Theme header layouts
 * @package Serifi
 * @since 1.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


/* HEADER LAYOUT
	When using the WP Custom Header Image - on all pages.
   ====================================================*/
if (!function_exists('serifi_header_layout')) :
	function serifi_header_layout()	{
		
		$serifi_header_layout = get_theme_mod( 'serifi_header_layout', 'header1' );	
		
		echo '<header id="site-header">';

			if ( $serifi_header_layout !== 'header3') {
			serifi_header_branding(); 
			}

			// Primary menu
				$primary_navigation = wp_nav_menu( array( 
				'theme_location'  => 'primary',
				'menu_class'      => 'nav-menu',
				'container_class' => 'menu-container',
				'echo'            => false,
				'item_spacing'    => 'discard'
			 ) ); 

			  if( $primary_navigation ) {
				printf( '<nav id="primary-navigation" class="primary-navigation"><a href="#" id="nav-toggle" class="nav-toggle"><i class="bi bi-list"></i>%s</a>%s</nav>', esc_html__( 'Menu', 'serifi' ), $primary_navigation ); 
			  } 
			if (!esc_attr(get_theme_mod( 'serifi_hide_header_search', 0 ))) {
			echo '<button type="button" id="search-toggle" class="search-toggle" onclick="openDialog(\'dialog1\', this)"><i class="bi bi-search"></i></button>';
		
			}
			echo '</header>';
	}
endif;
