<?php
/**
 * The search template file
 * Used to display search content.
 * @package Serifi
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

<div class="container">		
	<div class="row">
		<div class="col-10 offset-1">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'serifi' ), get_search_query() ); ?></h1>
				<div class="search-description">
					<p>
					<?php
					global $wp_query;
					printf( '<span class="meta">' . esc_html__( '%s results found.', 'serifi' ) . '</span>', absint( $wp_query->found_posts ) );
					?>
					</p>
					<?php get_search_form(); ?>
				</div>
			</header><!-- .page-header -->

		<?php
		// Start the loop.
		while ( have_posts() ) : the_post();
			serifi_template_part( 'search' );
		// End the loop.
		endwhile;

		// Previous/next page navigation.
		serifi_paging_nav();
			
		// If no content, include the "No posts found" template.
		else :
			serifi_template_part( 'none' );
		endif;
		?>


		</div>
	</div>
</div>

<?php
get_footer();
