<?php
/**
 * The post author bio template file
 * The template for displaying Author bio information.
 * @package Serifi
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$serifi_view_posts_by_text = get_theme_mod( 'serifi_view_posts_by_text', esc_html__('View Posts By', 'serifi' ) );
?>

<div class="author-info">
  <?php 
    printf( '<div class="author-avatar">%s</div>', get_avatar( get_the_author_meta( 'user_email' ), 150 ) ); 
  ?>

  <div class="author-description">
  <?php  printf( '<h3 class="author-heading section-heading">%s</h3>', sprintf( esc_html__( 'Published by %s', 'serifi' ), get_the_author() ) ); ?>
    <p class="author-bio">
      <?php the_author_meta( 'description' ); ?>
    </p><!-- .author-bio -->

    <a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
	  <?php echo '<span class="author-link-label">' . wp_kses_post( $serifi_view_posts_by_text ), '</span>&nbsp;', get_the_author(); ?>
    </a>
  </div><!-- .author-description -->
</div><!-- .author-info -->